uuid: e1ff0be3-0748-4074-91c1-12dadb8b78df
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.card
    - field.field.node.resource.body
    - field.field.node.resource.field_body_paragraph
    - field.field.node.resource.field_image
    - field.field.node.resource.field_media_image
    - field.field.node.resource.field_meta_tags
    - field.field.node.resource.field_resource_file
    - field.field.node.resource.field_resource_link
    - field.field.node.resource.field_resource_type
    - field.field.node.resource.field_resource_video
    - field.field.node.resource.field_summary
    - field.field.node.resource.field_tags
    - field.field.node.resource.field_topics
    - image.style.focal_point_650x390
    - node.type.resource
    - responsive_image.styles.drutopia_card
  module:
    - ds
    - field_group
    - file
    - link
    - media_responsive_thumbnail
    - text
    - user
    - video_embed_field
third_party_settings:
  ds:
    layout:
      id: ds_1col
      library: null
      disable_css: false
      entity_classes: all_classes
      settings:
        classes:
          layout_class: {  }
        wrappers:
          ds_content: div
        outer_wrapper: div
        attributes: ''
        link_attribute: ''
        link_custom: ''
        label: ''
    regions:
      ds_content:
        - field_media_image
        - field_resource_video
        - group_card_content
        - node_title
        - field_summary
        - group_card_content_bottom
        - field_topics
        - field_resource_link
        - field_resource_file
    fields:
      node_title:
        plugin_id: node_title
        weight: 2
        label: hidden
        formatter: default
        settings:
          link: true
          wrapper: h2
          class: ''
          exclude_node_title: '0'
  field_group:
    group_card_content:
      children:
        - node_title
        - field_summary
      label: 'Card content'
      parent_name: ''
      region: ds_content
      weight: 2
      format_type: html_element
      format_settings:
        classes: ''
        id: ''
        element: div
        show_label: false
        label_element: h3
        attributes: ''
        effect: none
        speed: fast
    group_card_content_bottom:
      children:
        - field_topics
        - field_resource_link
        - field_resource_file
      label: 'Card content bottom'
      parent_name: ''
      region: ds_content
      weight: 3
      format_type: html_element
      format_settings:
        classes: ''
        id: ''
        element: div
        show_label: false
        label_element: h3
        label_element_classes: ''
        attributes: ''
        effect: none
        speed: fast
_core:
  default_config_hash: FEcIwRFqbKR8dEzgQ04jQgre2-cEw-H2RrPKfHAoFvc
id: node.resource.card
targetEntityType: node
bundle: resource
mode: card
content:
  field_media_image:
    type: media_responsive_thumbnail
    label: hidden
    settings:
      responsive_image_style: drutopia_card
      image_link: ''
      image_loading:
        attribute: lazy
    third_party_settings: {  }
    weight: 0
    region: ds_content
  field_resource_file:
    type: file_default
    label: hidden
    settings:
      use_description_as_link_text: true
    third_party_settings: {  }
    weight: 6
    region: ds_content
  field_resource_link:
    type: link
    label: hidden
    settings:
      trim_length: 80
      url_only: false
      url_plain: false
      rel: ''
      target: ''
    third_party_settings: {  }
    weight: 5
    region: ds_content
  field_resource_video:
    type: video_embed_field_thumbnail
    label: hidden
    settings:
      image_style: focal_point_650x390
      link_image_to: content
    third_party_settings:
      ds:
        ds_limit: ''
    weight: 1
    region: ds_content
  field_summary:
    type: text_default
    label: hidden
    settings: {  }
    third_party_settings: {  }
    weight: 3
    region: ds_content
  field_topics:
    type: entity_reference_label
    label: hidden
    settings:
      link: true
    third_party_settings: {  }
    weight: 4
    region: ds_content
hidden:
  body: true
  field_body_paragraph: true
  field_image: true
  field_meta_tags: true
  field_resource_type: true
  field_tags: true
  links: true
  search_api_excerpt: true
